/*                                                                   */
/*  SEGLOD   Copies Permanent Directory to a user index              */
/*     CPP:  SEGLODR                                                 */
/*                                                                   */
/*  Author:  Dave McKenzie     davemck@galois.com                    */
/*                          or davemck@zbiggroup.com                 */
/*                                                                   */
/*-------------------------------------------------------------------*/
/*  NOTE:  This cmd works only on V4R4 and below.  In V4R5           */
/*         the structure of the Permanent Directory was changed      */
/*         to a combination machine index and memory table,          */
/*         which this cmd knows nothing about.                       */
/*-------------------------------------------------------------------*/
/*                                                                   */
/*  This cmd must be run before using the SEGDSP cmd to              */
/*  display disk addresses corresponding to virtual addresses.       */
/*                                                                   */
/*  This cmd loads a user index with a copy of the                   */
/*  system Permanent Directory, which is a machine index that        */
/*  maps Single Level Storage virtual addresses to disk addresses.   */
/*                                                                   */
/*  BEFORE running this cmd, you must:                               */
/*                                                                   */
/*  1.  Enter System Service Tools (STRSST cmd), and dump the        */
/*      Permanent Directory to a spool file using the following      */
/*      selections:                                                  */
/*                                                                   */
/*      1  Start a service tool                                      */
/*      4  Display/Alter/Dump                                        */
/*      2  Dump to printer                                           */
/*      2  Licensed Internal Code (LIC) data                         */
/*      8  Machine index                                             */
/*         enter Address  0000000003 001000                          */
/*      3  Format index entries                                      */
/*         press <enter> on Specify Dump Title screen                */
/*                                                                   */
/*      The dump may take 5-15 minutes and will produce              */
/*      several thousand pages.                                      */
/*                                                                   */
/*  2.  Create a 132-byte physical file named "splf":                */
/*                                                                   */
/*         crtpf  mylib/splf rcdlen(132) size(*nomax)                */
/*                                                                   */
/*  3.  Copy the dump to the physical file using the                 */
/*      CPYSPLF cmd.                                                 */
/*                                                                   */
/*  4.  Run this cmd (SEGLOD) specifying the user index.             */
/*      Ensure that the library containing "splf" is in              */
/*      the library list.                                            */
/*                                                                   */
/*      This cmd will create the user index and copy the             */
/*      Permanent Directory entries into it.                         */
/*                                                                   */
/*      This may take 5-15 minutes, so you might want to             */
/*      submit it to batch.                                          */
/*                                                                   */

             CMD        PROMPT('Load User Index')

             PARM       KWD(USRIDX) +
                        TYPE(USRIDX) +
                        PROMPT('User index')

USRIDX:      QUAL       TYPE(*NAME) +
                        LEN(10) +
                        MIN(1)
             QUAL       TYPE(*NAME) +
                        LEN(10) +
                        PROMPT('Library')

